Index: trunk/BNC/src/PPP/pppwidgets.cpp
===================================================================
--- trunk/BNC/src/PPP/pppwidgets.cpp	(revision 5693)
+++ trunk/BNC/src/PPP/pppwidgets.cpp	(revision 5694)
@@ -43,4 +43,5 @@
 #include "PPP/pppwidgets.h"
 #include "qtfilechooser.h"
+#include "bncsettings.h"
 
 using namespace std;
@@ -49,21 +50,30 @@
 ////////////////////////////////////////////////////////////////////////////
 t_pppWidgets::t_pppWidgets() {
-  _dataSource   = new QComboBox();     _dataSource  -> setObjectName("dataSource");
-  _rinexObs     = new qtFileChooser(); _rinexObs    -> setObjectName("rinexObs");
-  _rinexNav     = new qtFileChooser(); _rinexNav    -> setObjectName("rinexNav");
-  _corrHostPort = new QLineEdit();     _corrHostPort-> setObjectName("corrHostPort"); 
-  _corrFile     = new qtFileChooser(); _corrFile    -> setObjectName("corrFile"); 
-  _crdFile      = new qtFileChooser(); _crdFile     -> setObjectName("crdFile");
-  _antexFile    = new qtFileChooser(); _antexFile   -> setObjectName("antexFile");
-  _logFile      = new QLineEdit();     _logFile     -> setObjectName("logFile");
-  _nmeaFile     = new QLineEdit();     _nmeaFile    -> setObjectName("nmeaFile");
-  _nmeaPort     = new QLineEdit();     _nmeaPort    -> setObjectName("nmeaPort");
-  _staTable     = new QTableWidget();  _staTable    -> setObjectName("staTable");
-  _lcGPS        = new QComboBox();     _lcGPS       -> setObjectName("lcGPS");
-  _lcGLONASS    = new QComboBox();     _lcGLONASS   -> setObjectName("lcGLONASS");
-  _lcGalileo    = new QComboBox();     _lcGalileo   -> setObjectName("lcGalileo");
-  _sigmaC1      = new QLineEdit();     _sigmaC1     -> setObjectName("sigmaC1");
-  _sigmaL1      = new QLineEdit();     _sigmaL1     -> setObjectName("sigmaL1");
-  _corrWaitTime = new QSpinBox();      _corrWaitTime-> setObjectName("corrWaitTime");
+  _dataSource   = new QComboBox();     _dataSource  -> setObjectName("PPP/dataSource");
+  _rinexObs     = new qtFileChooser(); _rinexObs    -> setObjectName("PPP/rinexObs");
+  _rinexNav     = new qtFileChooser(); _rinexNav    -> setObjectName("PPP/rinexNav");
+  _corrHostPort = new QLineEdit();     _corrHostPort-> setObjectName("PPP/corrHostPort"); 
+  _corrFile     = new qtFileChooser(); _corrFile    -> setObjectName("PPP/corrFile"); 
+  _crdFile      = new qtFileChooser(); _crdFile     -> setObjectName("PPP/crdFile");
+  _antexFile    = new qtFileChooser(); _antexFile   -> setObjectName("PPP/antexFile");
+  _logFile      = new QLineEdit();     _logFile     -> setObjectName("PPP/logFile");
+  _nmeaFile     = new QLineEdit();     _nmeaFile    -> setObjectName("PPP/nmeaFile");
+  _nmeaPort     = new QLineEdit();     _nmeaPort    -> setObjectName("PPP/nmeaPort");
+  _staTable     = new QTableWidget();  _staTable    -> setObjectName("PPP/staTable");
+  _lcGPS        = new QComboBox();     _lcGPS       -> setObjectName("PPP/lcGPS");
+  _lcGLONASS    = new QComboBox();     _lcGLONASS   -> setObjectName("PPP/lcGLONASS");
+  _lcGalileo    = new QComboBox();     _lcGalileo   -> setObjectName("PPP/lcGalileo");
+  _sigmaC1      = new QLineEdit();     _sigmaC1     -> setObjectName("PPP/sigmaC1");
+  _sigmaL1      = new QLineEdit();     _sigmaL1     -> setObjectName("PPP/sigmaL1");
+  _corrWaitTime = new QSpinBox();      _corrWaitTime-> setObjectName("PPP/corrWaitTime");
 }
 
+// 
+////////////////////////////////////////////////////////////////////////////
+void t_pppWidgets::saveOptions() {
+
+  bncSettings settings;
+
+  settings.setValue(_dataSource->objectName(), _dataSource->currentText());
+
+}
Index: trunk/BNC/src/PPP/pppwidgets.h
===================================================================
--- trunk/BNC/src/PPP/pppwidgets.h	(revision 5693)
+++ trunk/BNC/src/PPP/pppwidgets.h	(revision 5694)
@@ -33,4 +33,6 @@
  public:
   t_pppWidgets();
+  void saveOptions();
+
   QComboBox*     _dataSource;
   qtFileChooser* _rinexObs;
Index: trunk/BNC/src/bncwindow.cpp
===================================================================
--- trunk/BNC/src/bncwindow.cpp	(revision 5693)
+++ trunk/BNC/src/bncwindow.cpp	(revision 5694)
@@ -1972,4 +1972,6 @@
     _caster->readMountPoints();
   }
+
+  _pppWidgets.saveOptions();
 }
 