Index: trunk/BNC/src/PPP/pppParlist.cpp
===================================================================
--- trunk/BNC/src/PPP/pppParlist.cpp	(revision 5809)
+++ trunk/BNC/src/PPP/pppParlist.cpp	(revision 5810)
@@ -5,8 +5,8 @@
 #include <algorithm>
 #include <newmatio.h>
-#include "parlist.h"
+#include "pppParlist.h"
 #include "satobs.h"
 
-#include "station.h"
+#include "pppStation.h"
 #include "bncutils.h"
 #include "bncconst.h"
@@ -18,5 +18,5 @@
 // Constructor
 ////////////////////////////////////////////////////////////////////////////
-t_param::t_param(e_type type, const t_prn& prn, t_lc::type tLC,
+t_pppParam::t_pppParam(e_type type, const t_prn& prn, t_lc::type tLC,
                  const vector<t_satObs*>* obsVector) {
 
@@ -84,5 +84,5 @@
 // Destructor
 ////////////////////////////////////////////////////////////////////////////
-t_param::~t_param() {
+t_pppParam::~t_pppParam() {
   delete _ambInfo;
 }
@@ -90,5 +90,5 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-double t_param::partial(const bncTime& /* epoTime */, const t_satObs* obs, 
+double t_pppParam::partial(const bncTime& /* epoTime */, const t_satObs* obs, 
                         const t_lc::type& tLC) const {
 
@@ -99,5 +99,5 @@
   }
 
-  const t_station* sta  = PPP_CLIENT->staRover();
+  const t_pppStation* sta  = PPP_CLIENT->staRover();
   ColumnVector     rhoV = sta->xyzApr() - obs->xc().Rows(1,3);
 
@@ -149,5 +149,5 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-string t_param::toString() const {
+string t_pppParam::toString() const {
   stringstream ss;
   switch (_type) {
@@ -182,10 +182,10 @@
 // Constructor
 ////////////////////////////////////////////////////////////////////////////
-t_parlist::t_parlist() {
+t_pppParlist::t_pppParlist() {
 }
 
 // Destructor
 ////////////////////////////////////////////////////////////////////////////
-t_parlist::~t_parlist() {
+t_pppParlist::~t_pppParlist() {
   for (unsigned ii = 0; ii < _params.size(); ii++) {
     delete _params[ii];
@@ -195,12 +195,12 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-t_irc t_parlist::set(const bncTime& epoTime, const vector<t_lc::type>& ambLCs, 
+t_irc t_pppParlist::set(const bncTime& epoTime, const vector<t_lc::type>& ambLCs, 
                      const vector<t_satObs*>& obsVector) {
 
   // Remove some Parameters
   // ----------------------
-  vector<t_param*>::iterator it = _params.begin();
+  vector<t_pppParam*>::iterator it = _params.begin();
   while (it != _params.end()) {
-    t_param* par = *it;
+    t_pppParam* par = *it;
 
     bool remove = false;
@@ -210,5 +210,5 @@
     }
 
-    else if (par->type() == t_param::amb) {
+    else if (par->type() == t_pppParam::amb) {
       if (par->lastObsTime().valid() && (epoTime - par->lastObsTime() > 120.0)) {
         remove = true;
@@ -216,5 +216,5 @@
     }
 
-    else if (par->type() == t_param::amb) {
+    else if (par->type() == t_pppParam::amb) {
       if (par->lastObsTime().valid() && (epoTime - par->lastObsTime() > 3600.0)) {
         remove = true;
@@ -234,5 +234,5 @@
   // ------------------------------------------
   for (unsigned ii = 0; ii < _params.size(); ii++) {
-    t_param* par = _params[ii];
+    t_pppParam* par = _params[ii];
     if (par->prn() == 0) {
       par->setLastObsTime(epoTime);
@@ -257,20 +257,20 @@
   // Required Set of Parameters
   // --------------------------
-  vector<t_param*> required;
+  vector<t_pppParam*> required;
 
   // Coordinates
   // -----------
-  required.push_back(new t_param(t_param::crdX, t_prn(), t_lc::dummy));
-  required.push_back(new t_param(t_param::crdY, t_prn(), t_lc::dummy));
-  required.push_back(new t_param(t_param::crdZ, t_prn(), t_lc::dummy));
+  required.push_back(new t_pppParam(t_pppParam::crdX, t_prn(), t_lc::dummy));
+  required.push_back(new t_pppParam(t_pppParam::crdY, t_prn(), t_lc::dummy));
+  required.push_back(new t_pppParam(t_pppParam::crdZ, t_prn(), t_lc::dummy));
 
   // Receiver Clock
   // --------------
-  required.push_back(new t_param(t_param::clkR, t_prn(), t_lc::dummy));
+  required.push_back(new t_pppParam(t_pppParam::clkR, t_prn(), t_lc::dummy));
 
   // GPS-Glonass Clock Offset
   // ------------------------
   if (OPT->useGlonass()) {
-    required.push_back(new t_param(t_param::offGG, t_prn(), t_lc::dummy));
+    required.push_back(new t_pppParam(t_pppParam::offGG, t_prn(), t_lc::dummy));
   }
 
@@ -278,6 +278,6 @@
   // ---------------
   for (unsigned ii = 0; ii < OPT->_estBias.size(); ii++) {
-    const t_options::t_optBias& optBias = OPT->_estBias[ii];
-    required.push_back(new t_param(t_param::bias, t_prn(optBias._system, 1), optBias._tLC));
+    const t_pppOptions::t_optBias& optBias = OPT->_estBias[ii];
+    required.push_back(new t_pppParam(t_pppParam::bias, t_prn(optBias._system, 1), optBias._tLC));
   }
 
@@ -285,5 +285,5 @@
   // -----------
   if (OPT->estTropo()) {
-    required.push_back(new t_param(t_param::trp, t_prn(), t_lc::dummy));
+    required.push_back(new t_pppParam(t_pppParam::trp, t_prn(), t_lc::dummy));
   }
 
@@ -294,5 +294,5 @@
     for (unsigned jj = 0; jj < obsVector.size(); jj++) {
       const t_satObs* satObs = obsVector[jj];
-      required.push_back(new t_param(t_param::amb, satObs->prn(), tLC, &obsVector));
+      required.push_back(new t_pppParam(t_pppParam::amb, satObs->prn(), tLC, &obsVector));
     }
   }
@@ -301,9 +301,9 @@
   // --------------------------------------------
   for (unsigned ii = 0; ii < required.size(); ii++) {
-    t_param* parReq = required[ii];
+    t_pppParam* parReq = required[ii];
 
     bool found = false;
     for (unsigned jj = 0; jj < _params.size(); jj++) {
-      t_param* parOld = _params[jj];
+      t_pppParam* parOld = _params[jj];
       if (parOld->isEqual(parReq)) {
         found = true;
@@ -321,8 +321,8 @@
   // Set Parameter Indices
   // ---------------------
-  sort(_params.begin(), _params.end(), t_param::sortFunction);
+  sort(_params.begin(), _params.end(), t_pppParam::sortFunction);
 
   for (unsigned ii = 0; ii < _params.size(); ii++) {
-    t_param* par = _params[ii];
+    t_pppParam* par = _params[ii];
     par->setIndex(ii);
     for (unsigned jj = 0; jj < obsVector.size(); jj++) {
@@ -340,5 +340,5 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-void t_parlist::printResult(const bncTime& epoTime, const SymmetricMatrix& QQ,
+void t_pppParlist::printResult(const bncTime& epoTime, const SymmetricMatrix& QQ,
                             const ColumnVector& xx, double ambFixRate) const {
 
@@ -347,16 +347,16 @@
   LOG << endl;
 
-  t_param* parX = 0;
-  t_param* parY = 0;
-  t_param* parZ = 0;
+  t_pppParam* parX = 0;
+  t_pppParam* parY = 0;
+  t_pppParam* parZ = 0;
   for (unsigned ii = 0; ii < _params.size(); ii++) {
-    t_param* par = _params[ii];
-    if      (par->type() == t_param::crdX) {
+    t_pppParam* par = _params[ii];
+    if      (par->type() == t_pppParam::crdX) {
       parX = par;
     }
-    else if (par->type() == t_param::crdY) {
+    else if (par->type() == t_pppParam::crdY) {
       parY = par;
     }
-    else if (par->type() == t_param::crdZ) {
+    else if (par->type() == t_pppParam::crdZ) {
       parZ = par;
     }
@@ -367,5 +367,5 @@
           << showpos << setw(10) << setprecision(4) << xx[ind] << noshowpos << " +- "
           << setw(8)  << setprecision(4) << sqrt(QQ[ind][ind]);
-      if (par->type() == t_param::amb) {
+      if (par->type() == t_pppParam::amb) {
         LOG << " el = " << setw(6) << setprecision(2) << par->ambEleSat() * 180.0 / M_PI
             << " epo = " << setw(4) << par->ambNumEpo();
@@ -376,5 +376,5 @@
   
   if (parX && parY && parZ) {
-    const t_station* sta = PPP_CLIENT->staRover();
+    const t_pppStation* sta = PPP_CLIENT->staRover();
 
     ColumnVector xyz(3);