Index: /trunk/BNC/src/PPP/pppThread.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppThread.cpp	(revision 5832)
+++ /trunk/BNC/src/PPP/pppThread.cpp	(revision 5833)
@@ -143,18 +143,4 @@
 }
 
-// 
-////////////////////////////////////////////////////////////////////////////
-void t_pppRun::slotNewCorrections(QStringList corrList) {
-  QMutexLocker locker(&_mutex);
-
-  QStringListIterator it(corrList);
-  while (it.hasNext()) {
-    it.next();
-  }
-
-  // _pppClient->putOrbCorrections(const std::vector<t_orbCorr*>& corr); 
-  // _pppClient->putClkCorrections(const std::vector<t_clkCorr*>& corr); 
-  // _pppClient->putBiases(const std::vector<t_satBiases*>& biases);   
-}
 //
 ////////////////////////////////////////////////////////////////////////////
@@ -178,17 +164,17 @@
     // Find the corresponding data epoch or create a new one
     // -----------------------------------------------------
-    t_pppEpoData* epoData = 0;
-    deque<t_pppEpoData*>::const_iterator it;
-    for (it = _pppEpochs.begin(); it != _pppEpochs.end(); it++) {
+    t_epoData* epoch = 0;
+    deque<t_epoData*>::const_iterator it;
+    for (it = _epoData.begin(); it != _epoData.end(); it++) {
       if (newObs->_time == (*it)->_time) {
-        epoData = *it;
+        epoch = *it;
         break;
       }
     }
-    if (epoData == 0) {
-      if (_pppEpochs.empty() || newObs->_time > _pppEpochs.back()->_time) {
-        epoData = new t_pppEpoData;
-        epoData->_time = newObs->_time;
-        _pppEpochs.push_back(epoData);
+    if (epoch == 0) {
+      if (_epoData.empty() || newObs->_time > _epoData.back()->_time) {
+        epoch = new t_epoData;
+        epoch->_time = newObs->_time;
+        _epoData.push_back(epoch);
       }
     }
@@ -196,6 +182,6 @@
     // Fill the new observation and add it to the corresponding epoch
     // --------------------------------------------------------------
-    if (epoData != 0) {
-      epoData->_satObs.push_back(newObs);
+    if (epoch != 0) {
+      epoch->_satObs.push_back(newObs);
       map<string, t_frqObs*> frqObsMap;
       for (unsigned iEntry = 0; iEntry < GNSSENTRY_NUMBER; iEntry++) {
@@ -231,12 +217,12 @@
   // Process the oldest epoch
   // ------------------------
-  if (_pppEpochs.size() > 1) {
-
-    const vector<t_satObs*>& satObs = _pppEpochs.front()->_satObs;
+  if (_epoData.size() > 1) {
+
+    const vector<t_satObs*>& satObs = _epoData.front()->_satObs;
 
     t_output output;
     _pppClient->processEpoch(satObs, &output);
 
-    delete _pppEpochs.front(); _pppEpochs.pop_front();
+    delete _epoData.front(); _epoData.pop_front();
     
     emit newMessage(QByteArray(output._log.c_str()), true);
@@ -244,2 +230,16 @@
 }
     
+// 
+////////////////////////////////////////////////////////////////////////////
+void t_pppRun::slotNewCorrections(QStringList corrList) {
+  QMutexLocker locker(&_mutex);
+
+  QStringListIterator it(corrList);
+  while (it.hasNext()) {
+    it.next();
+  }
+
+  // _pppClient->putOrbCorrections(const std::vector<t_orbCorr*>& corr); 
+  // _pppClient->putClkCorrections(const std::vector<t_clkCorr*>& corr); 
+  // _pppClient->putBiases(const std::vector<t_satBiases*>& biases);   
+}
Index: /trunk/BNC/src/PPP/pppThread.h
===================================================================
--- /trunk/BNC/src/PPP/pppThread.h	(revision 5832)
+++ /trunk/BNC/src/PPP/pppThread.h	(revision 5833)
@@ -29,8 +29,8 @@
 
  private:
-  class t_pppEpoData {
+  class t_epoData {
    public:
-    t_pppEpoData() {}
-    ~t_pppEpoData() {
+    t_epoData() {}
+    ~t_epoData() {
       for (unsigned ii = 0; ii < _satObs.size(); ii++) {
         delete _satObs[ii];
@@ -41,8 +41,8 @@
   };
 
-  QMutex                    _mutex;
-  const t_pppOptions*          _opt;
-  t_pppClient*              _pppClient;
-  std::deque<t_pppEpoData*> _pppEpochs;
+  QMutex                 _mutex;
+  const t_pppOptions*    _opt;
+  t_pppClient*           _pppClient;
+  std::deque<t_epoData*> _epoData;
 };
 
@@ -59,5 +59,5 @@
  private:
   const t_pppOptions* _opt;
-  t_pppRun*        _pppRun;
+  t_pppRun*           _pppRun;
 };
 