Index: /trunk/BNC/src/PPP/pppRunPostProc.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppRunPostProc.cpp	(revision 5862)
+++ /trunk/BNC/src/PPP/pppRunPostProc.cpp	(revision 5863)
@@ -103,37 +103,4 @@
   else {
     BNC_CORE->slotMessage(msg, false);
-  }
-}
-
-// Set Observations from RINEX File
-////////////////////////////////////////////////////////////////////////////
-void t_postProcessing::setObsFromRnx(const t_rnxObsFile* rnxObsFile,
-                                     const t_rnxObsFile::t_rnxEpo* epo, 
-                                     const t_rnxObsFile::t_rnxSat& rnxSat, 
-                                     t_obs& obs) {
-
-  strncpy(obs.StatID, rnxObsFile->markerName().toAscii().constData(),
-          sizeof(obs.StatID));
-
-  obs.satSys   = rnxSat.satSys;
-  obs.satNum   = rnxSat.satNum;
-  obs.GPSWeek  = epo->tt.gpsw();
-  obs.GPSWeeks = epo->tt.gpssec();
-
-  for (int iType = 0; iType < rnxObsFile->nTypes(obs.satSys); iType++) {
-    QString type = rnxObsFile->obsType(obs.satSys,iType).toAscii();
-    obs.setMeasdata(type, rnxObsFile->version(), rnxSat.obs[iType]);
-    if      (type.indexOf("L1") == 0) {
-      obs.snrL1  = rnxSat.snr[iType];
-      obs.slipL1 = (rnxSat.lli[iType] & 1);
-    }
-    else if (type.indexOf("L2") == 0) {
-      obs.snrL2  = rnxSat.snr[iType];
-      obs.slipL2 = (rnxSat.lli[iType] & 1);
-    }
-    else if (type.indexOf("L5") == 0) {
-      obs.snrL5  = rnxSat.snr[iType];
-      obs.slipL5 = (rnxSat.lli[iType] & 1);
-    }
   }
 }
Index: /trunk/BNC/src/PPP/pppRunPostProc.h
===================================================================
--- /trunk/BNC/src/PPP/pppRunPostProc.h	(revision 5862)
+++ /trunk/BNC/src/PPP/pppRunPostProc.h	(revision 5863)
@@ -44,9 +44,4 @@
  public:
   t_postProcessing(QObject* parent, int maxSpeed, int speed);
-  static void setObsFromRnx(const t_rnxObsFile* rnxObsFile,
-                            const t_rnxObsFile::t_rnxEpo* epo, 
-                            const t_rnxObsFile::t_rnxSat& rnxSat, 
-                            t_obs& obs);
-
   ~t_postProcessing();
 
Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 5862)
+++ /trunk/BNC/src/bncmain.cpp	(revision 5863)
@@ -52,5 +52,4 @@
 #include "upload/bncephuploadcaster.h"
 #ifdef USE_POSTPROCESSING
-#  include "rinex/bncpostprocess.h"
 #  include "rinex/reqcedit.h"
 #  include "rinex/reqcanalyze.h"
@@ -160,15 +159,7 @@
 #ifdef USE_POSTPROCESSING
 
-  // Post-Processing PPP
-  // -------------------
-  else if (settings.value("pppSPP").toString() == "Post-Processing") {
-    BNC_CORE->setMode(t_bncCore::batchPostProcessing);
-    t_postProcessing* postProcessing = new t_postProcessing(0, 0, 0);
-    postProcessing->start();
-  }
-
   // Post-Processing reqc edit
   // -------------------------
-  else if (settings.value("reqcAction").toString() == "Edit/Concatenate") {
+  if (settings.value("reqcAction").toString() == "Edit/Concatenate") {
     BNC_CORE->setMode(t_bncCore::batchPostProcessing);
     t_reqcEdit* reqcEdit = new t_reqcEdit(0);
Index: /trunk/BNC/src/bncwindow.h
===================================================================
--- /trunk/BNC/src/bncwindow.h	(revision 5862)
+++ /trunk/BNC/src/bncwindow.h	(revision 5863)
@@ -86,5 +86,4 @@
     void slotMapPPPClosed();
     void slotStart();
-    void slotFinishedPostProcessingPPP();
     void slotFinishedPostProcessingReqc();
     void slotStop();
Index: /trunk/BNC/src/rinex/reqcanalyze.cpp
===================================================================
--- /trunk/BNC/src/rinex/reqcanalyze.cpp	(revision 5862)
+++ /trunk/BNC/src/rinex/reqcanalyze.cpp	(revision 5863)
@@ -48,5 +48,4 @@
 #include "reqcedit.h"
 #include "bncutils.h"
-#include "bncpostprocess.h"
 #include "graphwin.h"
 #include "polarplot.h"
@@ -58,4 +57,37 @@
 
 const double SLIPTRESH = 10.0; // cycle-slip threshold (meters)
+
+// Set Observations from RINEX File
+////////////////////////////////////////////////////////////////////////////
+void t_reqcAnalyze::setObsFromRnx(const t_rnxObsFile* rnxObsFile,
+                                  const t_rnxObsFile::t_rnxEpo* epo, 
+                                  const t_rnxObsFile::t_rnxSat& rnxSat, 
+                                  t_obs& obs) {
+
+  strncpy(obs.StatID, rnxObsFile->markerName().toAscii().constData(),
+          sizeof(obs.StatID));
+
+  obs.satSys   = rnxSat.satSys;
+  obs.satNum   = rnxSat.satNum;
+  obs.GPSWeek  = epo->tt.gpsw();
+  obs.GPSWeeks = epo->tt.gpssec();
+
+  for (int iType = 0; iType < rnxObsFile->nTypes(obs.satSys); iType++) {
+    QString type = rnxObsFile->obsType(obs.satSys,iType).toAscii();
+    obs.setMeasdata(type, rnxObsFile->version(), rnxSat.obs[iType]);
+    if      (type.indexOf("L1") == 0) {
+      obs.snrL1  = rnxSat.snr[iType];
+      obs.slipL1 = (rnxSat.lli[iType] & 1);
+    }
+    else if (type.indexOf("L2") == 0) {
+      obs.snrL2  = rnxSat.snr[iType];
+      obs.slipL2 = (rnxSat.lli[iType] & 1);
+    }
+    else if (type.indexOf("L5") == 0) {
+      obs.snrL5  = rnxSat.snr[iType];
+      obs.slipL5 = (rnxSat.lli[iType] & 1);
+    }
+  }
+}
 
 // Constructor
@@ -239,5 +271,5 @@
         const t_rnxObsFile::t_rnxSat& rnxSat = _currEpo->rnxSat[iObs];
         t_obs obs;
-        t_postProcessing::setObsFromRnx(obsFile, _currEpo, rnxSat, obs);
+        setObsFromRnx(obsFile, _currEpo, rnxSat, obs);
   
         QString prn = QString("%1%2").arg(obs.satSys)
Index: /trunk/BNC/src/rinex/reqcanalyze.h
===================================================================
--- /trunk/BNC/src/rinex/reqcanalyze.h	(revision 5862)
+++ /trunk/BNC/src/rinex/reqcanalyze.h	(revision 5863)
@@ -169,4 +169,9 @@
                    QVector<t_polarPoint*>* dataSNR2);
 
+  void setObsFromRnx(const t_rnxObsFile* rnxObsFile,
+                     const t_rnxObsFile::t_rnxEpo* epo, 
+                    const t_rnxObsFile::t_rnxSat& rnxSat, 
+                    t_obs& obs);
+
   QString                    _logFileName;
   QFile*                     _logFile;