Index: /trunk/BNC/src/PPP/pppRunPostProc.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppRunPostProc.cpp	(revision 5878)
+++ /trunk/BNC/src/PPP/pppRunPostProc.cpp	(revision 5879)
@@ -144,6 +144,6 @@
             this, SLOT(slotMessage(const QByteArray,bool)));
     qRegisterMetaType<bncTime>("bncTime");
-    connect(_pppClient, SIGNAL(newPosition(bncTime, double, double, double)), 
-            this, SIGNAL(newPosition(bncTime, double, double, double)));
+    connect(_pppClient, SIGNAL(newPosition(bncTime, QVector<double>)), 
+            this, SIGNAL(newPosition(bncTime, QVector<double>)));
   }
 
Index: /trunk/BNC/src/PPP/pppRunPostProc.h
===================================================================
--- /trunk/BNC/src/PPP/pppRunPostProc.h	(revision 5878)
+++ /trunk/BNC/src/PPP/pppRunPostProc.h	(revision 5879)
@@ -49,5 +49,5 @@
   void progress(int);
   void finished();
-  void newPosition(bncTime time, double x, double y, double z);
+  void newPosition(bncTime time, QVector<double> xx);
    
  public slots:
Index: /trunk/BNC/src/PPP/pppRunRealTime.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppRunRealTime.cpp	(revision 5878)
+++ /trunk/BNC/src/PPP/pppRunRealTime.cpp	(revision 5879)
@@ -75,6 +75,6 @@
             this, SLOT(slotNewCorrections(QStringList)));
 
-    connect(this, SIGNAL(newPosition(bncTime, double, double, double)),
-            BNC_CORE, SIGNAL(newPosition(bncTime, double, double, double)));
+    connect(this, SIGNAL(newPosition(bncTime, QVector<double>)),
+            BNC_CORE, SIGNAL(newPosition(bncTime, QVector<double>)));
 
     for (unsigned iPrn = 0; iPrn <= t_prn::MAXPRN; iPrn++) {
@@ -204,5 +204,12 @@
 
     if (!output._error && _opt->xyzAprRoverSet()) {
-      emit newPosition (output._epoTime, output._neu[0], output._neu[1], output._neu[2]);
+      QVector<double> xx(6);
+      xx.data()[0] = output._xyzRover[0];
+      xx.data()[1] = output._xyzRover[1];
+      xx.data()[2] = output._xyzRover[2];
+      xx.data()[3] = output._neu[0];
+      xx.data()[4] = output._neu[1];
+      xx.data()[5] = output._neu[2];
+      emit newPosition(output._epoTime, xx);
     }
 
Index: /trunk/BNC/src/PPP/pppRunRealTime.h
===================================================================
--- /trunk/BNC/src/PPP/pppRunRealTime.h	(revision 5878)
+++ /trunk/BNC/src/PPP/pppRunRealTime.h	(revision 5879)
@@ -20,5 +20,5 @@
  signals:
   void newMessage(QByteArray msg, bool showOnScreen);
-  void newPosition(bncTime time, double x, double y, double z);
+  void newPosition(bncTime time, QVector<double> xx);
   void newNMEAstr(QByteArray str);
 
Index: /trunk/BNC/src/bnccore.h
===================================================================
--- /trunk/BNC/src/bnccore.h	(revision 5878)
+++ /trunk/BNC/src/bnccore.h	(revision 5879)
@@ -85,5 +85,5 @@
   void newCorrections(QStringList);
   void providerIDChanged(QString);
-  void newPosition(bncTime time, double x, double y, double z);
+  void newPosition(bncTime time, QVector<double> xx);
     
  private slots:
Index: /trunk/BNC/src/bncfigureppp.cpp
===================================================================
--- /trunk/BNC/src/bncfigureppp.cpp	(revision 5878)
+++ /trunk/BNC/src/bncfigureppp.cpp	(revision 5879)
@@ -107,5 +107,5 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-void bncFigurePPP::slotNewPosition(bncTime time, double x, double y, double z){
+void bncFigurePPP::slotNewPosition(bncTime time, QVector<double> xx){
 
   QMutexLocker locker(&_mutex);
@@ -114,7 +114,7 @@
 
   newPos->time   = time;
-  newPos->xyz[0] = x;
-  newPos->xyz[1] = y;
-  newPos->xyz[2] = z;
+  newPos->xyz[0] = xx.data()[0];
+  newPos->xyz[1] = xx.data()[1];
+  newPos->xyz[2] = xx.data()[2];
 
   _pos.push_back(newPos);
Index: /trunk/BNC/src/bncfigureppp.h
===================================================================
--- /trunk/BNC/src/bncfigureppp.h	(revision 5878)
+++ /trunk/BNC/src/bncfigureppp.h	(revision 5879)
@@ -37,5 +37,5 @@
 
  public slots:
-  void slotNewPosition(bncTime time, double x, double y, double z);
+  void slotNewPosition(bncTime time, QVector<double> xx);
 
  protected:
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 5878)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 5879)
@@ -94,6 +94,6 @@
   _bncFigureLate = new bncFigureLate(this);
   _bncFigurePPP  = new bncFigurePPP(this);
-  connect(BNC_CORE, SIGNAL(newPosition(bncTime, double, double, double)),
-          _bncFigurePPP, SLOT(slotNewPosition(bncTime, double, double, double)));
+  connect(BNC_CORE, SIGNAL(newPosition(bncTime, QVector<double>)),
+          _bncFigurePPP, SLOT(slotNewPosition(bncTime, QVector<double>)));
   _runningRealTime           = false;
   _runningPostProcessingReqc = false;
@@ -2482,6 +2482,6 @@
     _mapWin = new bncMapWin(this);
     connect(_mapWin, SIGNAL(mapClosed()), this, SLOT(slotMapPPPClosed()));
-    connect(BNC_CORE, SIGNAL(newPosition(bncTime, double, double, double)),
-            _mapWin, SLOT(slotNewPosition(bncTime, double, double, double)));
+    connect(BNC_CORE, SIGNAL(newPosition(bncTime, QVector<double>)),
+            _mapWin, SLOT(slotNewPosition(bncTime, QVector<double>)));
   }
   _mapWin->show();
Index: /trunk/BNC/src/map/bncmapwin.cpp
===================================================================
--- /trunk/BNC/src/map/bncmapwin.cpp	(revision 5878)
+++ /trunk/BNC/src/map/bncmapwin.cpp	(revision 5879)
@@ -164,11 +164,7 @@
 // 
 ////////////////////////////////////////////////////////////////////////////
-void bncMapWin::slotNewPosition(bncTime /* time */, double xx, double yy, double zz) {
-  double xyz[3]; 
-  xyz[0] = xx;
-  xyz[1] = yy;
-  xyz[2] = zz;
+void bncMapWin::slotNewPosition(bncTime /* time */, QVector<double> xx) {
   double ell[3];
-  xyz2ell(xyz, ell);
+  xyz2ell(xx.data(), ell);
   gotoLocation(ell[0]*180.0/M_PI, ell[1]*180.0/M_PI);
 }
Index: /trunk/BNC/src/map/bncmapwin.h
===================================================================
--- /trunk/BNC/src/map/bncmapwin.h	(revision 5878)
+++ /trunk/BNC/src/map/bncmapwin.h	(revision 5879)
@@ -41,5 +41,5 @@
 
  public slots:
-  void slotNewPosition(bncTime time, double xx, double yy, double zz);
+  void slotNewPosition(bncTime time, QVector<double> xx);
 
  private slots: