Index: /trunk/BNC/src/PPP/pppMain.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppMain.cpp	(revision 5899)
+++ /trunk/BNC/src/PPP/pppMain.cpp	(revision 5900)
@@ -57,5 +57,5 @@
 //////////////////////////////////////////////////////////////////////////////
 t_pppMain::~t_pppMain() {
-  slotStop();
+  stop();
 }
 
@@ -81,5 +81,5 @@
   catch (t_except exc) {
     _running = true;
-    slotStop();
+    stop();
   }
 }
@@ -87,7 +87,5 @@
 // 
 //////////////////////////////////////////////////////////////////////////////
-void t_pppMain::slotStop() {
-
-  cout << "t_pppMain::slotStop" << endl;
+void t_pppMain::stop() {
 
   if (!_running) {
Index: /trunk/BNC/src/PPP/pppMain.h
===================================================================
--- /trunk/BNC/src/PPP/pppMain.h	(revision 5899)
+++ /trunk/BNC/src/PPP/pppMain.h	(revision 5900)
@@ -8,12 +8,10 @@
 namespace BNC_PPP {
 
-class t_pppMain : public QObject {
-Q_OBJECT
+class t_pppMain {
  public:
   t_pppMain();                                                      
   ~t_pppMain();
   void start();                                                     
- public slots:
-  void slotStop();                                                     
+  void stop();                                                     
 
  private:
Index: /trunk/BNC/src/bnccore.cpp
===================================================================
--- /trunk/BNC/src/bnccore.cpp	(revision 5899)
+++ /trunk/BNC/src/bnccore.cpp	(revision 5900)
@@ -868,2 +868,14 @@
   _dateAndTimeGPS = new QDateTime(dateTime);
 }
+
+//
+////////////////////////////////////////////////////////////////////////////
+void t_bncCore::startPPP() {
+  _pppMain->start();
+}
+
+//
+////////////////////////////////////////////////////////////////////////////
+void t_bncCore::stopPPP() {
+  _pppMain->stop();
+}
Index: /trunk/BNC/src/bnccore.h
===================================================================
--- /trunk/BNC/src/bnccore.h	(revision 5899)
+++ /trunk/BNC/src/bnccore.h	(revision 5900)
@@ -71,5 +71,6 @@
   void setMainWindow(QWidget* mainWindow){_mainWindow = mainWindow;}
   bool GUIenabled() const {return _GUIenabled;}
-  BNC_PPP::t_pppMain* pppMain() {return _pppMain;}
+  void startPPP();
+  void stopPPP();
 
   QMap<int, bncTableItem*> _uploadTableItems;
Index: /trunk/BNC/src/bncgetthread.cpp
===================================================================
--- /trunk/BNC/src/bncgetthread.cpp	(revision 5899)
+++ /trunk/BNC/src/bncgetthread.cpp	(revision 5900)
@@ -413,5 +413,5 @@
           cout << "no more data" << endl;
           BNC_CORE->stopCombination();
-          BNC_CORE->pppMain()->deleteLater();
+          BNC_CORE->stopPPP();
           emit finished();
           this->deleteLater();
Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 5899)
+++ /trunk/BNC/src/bncmain.cpp	(revision 5900)
@@ -53,5 +53,4 @@
 #include "rinex/reqcedit.h"
 #include "rinex/reqcanalyze.h"
-#include "PPP/pppMain.h"
 
 using namespace std;
@@ -192,5 +191,5 @@
     // PPP Client(s) (in separate threads)
     // -----------------------------------    
-    BNC_CORE->pppMain()->start();
+    BNC_CORE->startPPP();
 
     // Normal case - data from Internet
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 5899)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 5900)
@@ -66,5 +66,4 @@
 #include "rinex/reqcedit.h"
 #include "rinex/reqcanalyze.h"
-#include "PPP/pppMain.h"
 #ifdef QT_WEBKIT
 #  include "map/bncmapwin.h"
@@ -1653,5 +1652,5 @@
     startRealTime();
   }
-  BNC_CORE->pppMain()->start();
+  BNC_CORE->startPPP();
 }
 
@@ -1726,5 +1725,5 @@
                                    QMessageBox::NoButton);
   if (iRet == QMessageBox::Yes) {
-    BNC_CORE->pppMain()->slotStop();
+    BNC_CORE->stopPPP();
     BNC_CORE->stopCombination();
     delete _caster;    _caster    = 0; BNC_CORE->setCaster(0);
@@ -1751,5 +1750,5 @@
   }
 
-  BNC_CORE->pppMain()->slotStop();
+  BNC_CORE->stopPPP();
 
   QMainWindow::closeEvent(event);