Index: /trunk/BNC/src/PPP/pppMain.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppMain.cpp	(revision 5945)
+++ /trunk/BNC/src/PPP/pppMain.cpp	(revision 5946)
@@ -63,5 +63,5 @@
 // 
 //////////////////////////////////////////////////////////////////////////////
-void t_pppMain::start(bool ownThread) {
+void t_pppMain::start() {
   if (_running) {
     return;
@@ -74,11 +74,6 @@
     while (iOpt.hasNext()) {
       const t_pppOptions* opt = iOpt.next();
-      t_pppThread* pppThread = new t_pppThread(ownThread, opt);
-      if (ownThread) {
-        pppThread->start();
-      }
-      else {
-        pppThread->run();
-      }
+      t_pppThread* pppThread = new t_pppThread(opt);
+      pppThread->start();
       _pppThreads << pppThread;
       _running = true;
@@ -94,6 +89,4 @@
 //////////////////////////////////////////////////////////////////////////////
 void t_pppMain::stop() {
-
-  cout << "t_pppMain::stop" << endl;
 
   if (!_running) {
Index: /trunk/BNC/src/PPP/pppMain.h
===================================================================
--- /trunk/BNC/src/PPP/pppMain.h	(revision 5945)
+++ /trunk/BNC/src/PPP/pppMain.h	(revision 5946)
@@ -12,5 +12,5 @@
   t_pppMain();
   ~t_pppMain();
-  void start(bool ownThread);
+  void start();
   void stop();
 
Index: /trunk/BNC/src/PPP/pppRun.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppRun.cpp	(revision 5945)
+++ /trunk/BNC/src/PPP/pppRun.cpp	(revision 5946)
@@ -60,6 +60,4 @@
 ////////////////////////////////////////////////////////////////////////////
 t_pppRun::t_pppRun(const t_pppOptions* opt) {
-
-  cout << "t_pppRun" << endl;
 
   _opt = opt;
@@ -113,5 +111,4 @@
 ////////////////////////////////////////////////////////////////////////////
 t_pppRun::~t_pppRun() {
-  cout << "~t_pppRun" << endl;
 }
 
Index: /trunk/BNC/src/PPP/pppThread.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppThread.cpp	(revision 5945)
+++ /trunk/BNC/src/PPP/pppThread.cpp	(revision 5946)
@@ -55,9 +55,6 @@
 // Constructor
 ////////////////////////////////////////////////////////////////////////////
-t_pppThread::t_pppThread(bool ownThread, const t_pppOptions* opt) : QThread(0) {
+t_pppThread::t_pppThread(const t_pppOptions* opt) : QThread(0) {
 
-  cout << "t_pppThread" << endl;
-
-  _ownThread = ownThread;
   _opt       = opt;
   _pppRun    = 0;
@@ -72,5 +69,4 @@
 ////////////////////////////////////////////////////////////////////////////
 t_pppThread::~t_pppThread() {
-  cout << "~t_pppThread" << endl;
   delete _pppRun;
 }
@@ -83,7 +79,5 @@
     _pppRun = new t_pppRun(_opt);
     if (_opt->_realTime) {
-      if (_ownThread) {
-        QThread::exec();
-      }
+      QThread::exec();
     }
     else {
Index: /trunk/BNC/src/PPP/pppThread.h
===================================================================
--- /trunk/BNC/src/PPP/pppThread.h	(revision 5945)
+++ /trunk/BNC/src/PPP/pppThread.h	(revision 5946)
@@ -16,5 +16,5 @@
  Q_OBJECT
  public:
-  t_pppThread(bool ownThread, const t_pppOptions* opt);
+  t_pppThread(const t_pppOptions* opt);
   ~t_pppThread();
   virtual void run();
@@ -25,5 +25,4 @@
 
  private:
-  bool                _ownThread;
   const t_pppOptions* _opt;
   t_pppRun*           _pppRun;
Index: /trunk/BNC/src/bnccore.cpp
===================================================================
--- /trunk/BNC/src/bnccore.cpp	(revision 5945)
+++ /trunk/BNC/src/bnccore.cpp	(revision 5946)
@@ -873,6 +873,6 @@
 //
 ////////////////////////////////////////////////////////////////////////////
-void t_bncCore::startPPP(bool ownThread) {
-  _pppMain->start(ownThread);
+void t_bncCore::startPPP() {
+  _pppMain->start();
 }
 
Index: /trunk/BNC/src/bnccore.h
===================================================================
--- /trunk/BNC/src/bnccore.h	(revision 5945)
+++ /trunk/BNC/src/bnccore.h	(revision 5946)
@@ -71,5 +71,5 @@
   void setMainWindow(QWidget* mainWindow){_mainWindow = mainWindow;}
   bool GUIenabled() const {return _GUIenabled;}
-  void startPPP(bool ownThread);
+  void startPPP();
   void stopPPP();
 
Index: /trunk/BNC/src/bncmain.cpp
===================================================================
--- /trunk/BNC/src/bncmain.cpp	(revision 5945)
+++ /trunk/BNC/src/bncmain.cpp	(revision 5946)
@@ -174,5 +174,5 @@
   else if (settings.value("PPP/dataSource").toString() == "RINEX Files") {
     BNC_CORE->setMode(t_bncCore::batchPostProcessing);
-    BNC_CORE->startPPP(true);
+    BNC_CORE->startPPP();
   }
 
@@ -200,5 +200,5 @@
     if ( rawFileName.isEmpty() ) {
       BNC_CORE->setMode(t_bncCore::nonInteractive);
-      BNC_CORE->startPPP(true);
+      BNC_CORE->startPPP();
 
       caster->readMountPoints();
@@ -212,5 +212,5 @@
     else {
       BNC_CORE->setMode(t_bncCore::batchPostProcessing);
-      BNC_CORE->startPPP(true);
+      BNC_CORE->startPPP();
 
       bncRawFile*   rawFile   = new bncRawFile(rawFileName, "", bncRawFile::input);
Index: /trunk/BNC/src/bncwindow.cpp
===================================================================
--- /trunk/BNC/src/bncwindow.cpp	(revision 5945)
+++ /trunk/BNC/src/bncwindow.cpp	(revision 5946)
@@ -1650,5 +1650,5 @@
   saveOptions();
   if      ( _pppWidgets._dataSource->currentText() == "RINEX Files") {
-    BNC_CORE->startPPP(true);
+    BNC_CORE->startPPP();
   }
   else if ( !_reqcActionComboBox->currentText().isEmpty() ) {
@@ -1657,5 +1657,5 @@
   else {
     startRealTime();
-    BNC_CORE->startPPP(true);
+    BNC_CORE->startPPP();
   }
 }