Index: /trunk/BNC/src/PPP/pppSatObs.cpp
===================================================================
--- /trunk/BNC/src/PPP/pppSatObs.cpp	(revision 6029)
+++ /trunk/BNC/src/PPP/pppSatObs.cpp	(revision 6030)
@@ -377,6 +377,8 @@
   if (PPP_CLIENT->antex()) {
     bool found;
-    _model._antPco1 = PPP_CLIENT->antex()->rcvCorr(station->antName(), _model._eleSat, found);
-    _model._antPco2 = _model._antPco1;
+    double pco = PPP_CLIENT->antex()->rcvCorr(station->antName(), _model._eleSat, found);
+    for (unsigned ii = 0; ii < t_frequency::max; ii++) {
+      _model._antPCO[ii] = pco;
+    }
   }
 
@@ -389,26 +391,15 @@
   _model._windUp = station->windUp(_time, _prn, rSat);
 
-  // Code (and Phase) Biases
-  // -----------------------
+  // Code and Phase Biases
+  // ---------------------
   const t_satBias* satBias = PPP_CLIENT->obsPool()->satBias(_prn);
   if (satBias) { 
     for (unsigned ii = 0; ii < satBias->_bias.size(); ii++) {
       const t_frqBias& bias = satBias->_bias[ii];
-      if (_validObs1 && _validObs1->_rnxType2ch == bias._rnxType2ch) {
-        _validObs1->_biasJumpCounter = satBias->_jumpCount;
-        if (bias._codeValid) {
-          _model._biasC1 = bias._code;
-        }
-        if (bias._phaseValid) {
-          _model._biasL1 = bias._phase;
-        }
-      }
-      if (_validObs2 && _validObs2->_rnxType2ch == bias._rnxType2ch) {
-        _validObs2->_biasJumpCounter = satBias->_jumpCount;
-        if (bias._codeValid) {
-          _model._biasC2 = bias._code;
-        }
-        if (bias._phaseValid) {
-          _model._biasL2 = bias._phase;
+      for (unsigned iFreq = 1; iFreq < t_frequency::max; iFreq++) {
+        const t_frqObs* obs = _obs[iFreq];
+        if (obs && obs->_rnxType2ch == bias._rnxType2ch) {
+          _model._codeBias[iFreq]  = bias._code;
+          _model._phaseBias[iFreq] = bias._phase;
         }
       }
@@ -440,29 +431,21 @@
   LOG.setf(ios::fixed);
   LOG << "MODEL for Satellite " << _prn.toString() << endl
-      << "RHO:    " << setw(12) << setprecision(3) << _model._rho     << endl
-      << "ELE:    " << setw(12) << setprecision(3) << _model._eleSat * 180.0 / M_PI << endl
-      << "AZI:    " << setw(12) << setprecision(3) << _model._azSat  * 180.0 / M_PI << endl
-      << "SATCLK: " << setw(12) << setprecision(3) << _model._satClkM << endl
-      << "RECCLK: " << setw(12) << setprecision(3) << _model._recClkM << endl
-      << "SAGNAC: " << setw(12) << setprecision(3) << _model._sagnac  << endl
-      << "ANTECC: " << setw(12) << setprecision(3) << _model._antEcc  << endl
-      << "PCO1:   " << setw(12) << setprecision(3) << _model._antPco1 << endl
-      << "PCO2:   " << setw(12) << setprecision(3) << _model._antPco2 << endl
-      << "TROPO:  " << setw(12) << setprecision(3) << _model._tropo   << endl
-      << "WINDUP: " << setw(12) << setprecision(3) << _model._windUp  << endl
-      << "BIASC1: " << setw(12) << setprecision(3) << _model._biasC1  << endl
-      << "BIASC2: " << setw(12) << setprecision(3) << _model._biasC2  << endl
-      << "BIASL1: " << setw(12) << setprecision(3) << _model._biasL1  << endl
-      << "BIASL2: " << setw(12) << setprecision(3) << _model._biasL2  << endl
-      << "TIDES:  " << setw(12) << setprecision(3) << _model._tide    << endl;
-
-  //// beg test
-  LOG << "PCO L3: " <<  setw(12) << setprecision(3) 
-      << lc(t_lc::lIF, _model._antPco1, _model._antPco2, 0.0, 0.0) << endl;
-
-  LOG << "WIND L3:" <<  setw(12) << setprecision(3) 
-      << lc(t_lc::lIF, _model._windUp * t_CST::c / _f1, 
-                       _model._windUp * t_CST::c / _f2, 0.0, 0.0) << endl;
-
+      << "RHO:        " << setw(12) << setprecision(3) << _model._rho     << endl
+      << "ELE:        " << setw(12) << setprecision(3) << _model._eleSat * 180.0 / M_PI << endl
+      << "AZI:        " << setw(12) << setprecision(3) << _model._azSat  * 180.0 / M_PI << endl
+      << "SATCLK:     " << setw(12) << setprecision(3) << _model._satClkM << endl
+      << "RECCLK:     " << setw(12) << setprecision(3) << _model._recClkM << endl
+      << "SAGNAC:     " << setw(12) << setprecision(3) << _model._sagnac  << endl
+      << "ANTECC:     " << setw(12) << setprecision(3) << _model._antEcc  << endl
+      << "TROPO:      " << setw(12) << setprecision(3) << _model._tropo   << endl
+      << "WINDUP:     " << setw(12) << setprecision(3) << _model._windUp  << endl
+      << "TIDES:      " << setw(12) << setprecision(3) << _model._tide    << endl;
+  for (unsigned iFreq = 1; iFreq < t_frequency::max; iFreq++) {
+    if (_obs[iFreq]) {
+      LOG << "PCO:        " << t_frequency::toString(t_frequency::type(iFreq)) << setw(12) << setprecision(3) << _model._antPCO[iFreq]    << endl
+          << "BIAS CODE:  " << t_frequency::toString(t_frequency::type(iFreq)) << setw(12) << setprecision(3) << _model._codeBias[iFreq]  << endl
+          << "BIAS PHASE: " << t_frequency::toString(t_frequency::type(iFreq)) << setw(12) << setprecision(3) << _model._phaseBias[iFreq] << endl;
+    }
+  }
   LOG << "OBS-CMP P3: " << _prn.toString() << " " 
       << setw(12) << setprecision(3) << obsValue(t_lc::cIF) << " "
@@ -479,5 +462,4 @@
       << setw(12) << setprecision(3) << cmpValue(t_lc::MW) << " "
       << setw(12) << setprecision(3) << obsValue(t_lc::MW) - cmpValue(t_lc::MW) << endl;
-  //// end test
 }
 