Index: trunk/BNC/src/PPP/pppCrdFile.cpp
===================================================================
--- trunk/BNC/src/PPP/pppCrdFile.cpp	(revision 6046)
+++ 	(revision )
@@ -1,95 +1,0 @@
-
-// Part of BNC, a utility for retrieving decoding and
-// converting GNSS data streams from NTRIP broadcasters.
-//
-// Copyright (C) 2007
-// German Federal Agency for Cartography and Geodesy (BKG)
-// http://www.bkg.bund.de
-// Czech Technical University Prague, Department of Geodesy
-// http://www.fsv.cvut.cz
-//
-// Email: euref-ip@bkg.bund.de
-//
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License
-// as published by the Free Software Foundation, version 2.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-/* -------------------------------------------------------------------------
- * BKG NTRIP Client
- * -------------------------------------------------------------------------
- *
- * Class:      t_pppCrdFile
- *
- * Purpose:    Read a priori coordinate file
- *
- * Author:     L. Mervart
- *
- * Created:    29-Jul-2014
- *
- * Changes:    
- *
- * -----------------------------------------------------------------------*/
-
-#include <fstream>
-#include <sstream>
-#include "pppCrdFile.h"
-#include "bncutils.h"
-
-using namespace std;
-using namespace BNC_PPP;
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-void t_pppCrdFile::readCrdFile(const string& fileName, vector<t_staInfo>& staInfoVec) {
-
-  staInfoVec.clear();
-
-  ifstream inFile(fileName.c_str());
-  while (inFile.good()) {
-    string line; getline(inFile,line);
-    stripWhiteSpace(line);
-    if ( line.empty() || line[0] == '#'|| line[0] == '!') {
-      continue;
-    }
-    
-    istringstream in;
-
-    t_staInfo staInfo;
-
-    size_t q1 = line.find('"');
-    if (q1 != string::npos) {
-      size_t q2 = line.find('"', q1+1);
-      if (q2 == string::npos) {
-        continue;
-      }
-      staInfo._name = line.substr(q1+1, q2-q1-1);
-      in.str(line.substr(q2+1));
-    }
-    else {
-      in.str(line);
-      in >> staInfo._name;
-    }
-
-    in >> staInfo._xyz(1) >> staInfo._xyz(2) >> staInfo._xyz(3);
-
-    if (!in.eof()) {
-      in >> staInfo._neuAnt(1) >> staInfo._neuAnt(2) >> staInfo._neuAnt(3);
-    }
-
-    if (!in.eof()) {
-      getline(in, staInfo._antenna);
-      stripWhiteSpace(staInfo._antenna);
-    }
-
-    staInfoVec.push_back(staInfo);
-  }
-}
Index: trunk/BNC/src/PPP/pppCrdFile.h
===================================================================
--- trunk/BNC/src/PPP/pppCrdFile.h	(revision 6046)
+++ 	(revision )
@@ -1,29 +1,0 @@
-#ifndef PPPCRDFILE_H
-#define PPPCRDFILE_H
-
-#include <string>
-#include <vector>
-#include "newmat.h"
-
-namespace BNC_PPP {
-
-class t_pppCrdFile {
- public:
-  class t_staInfo {
-   public:
-    t_staInfo() {
-      _xyz.ReSize(3);    _xyz    = 0.0;
-      _neuAnt.ReSize(3); _neuAnt = 0.0;
-    }
-    std::string  _name;
-    std::string  _antenna;
-    ColumnVector _xyz;
-    ColumnVector _neuAnt;
-  };
-
-  static void readCrdFile(const std::string& fileName, std::vector<t_staInfo>& staInfoVec);
-};
-
-}
-
-#endif
Index: trunk/BNC/src/PPP/pppOptions.cpp
===================================================================
--- trunk/BNC/src/PPP/pppOptions.cpp	(revision 6046)
+++ 	(revision )
@@ -1,118 +1,0 @@
-// Part of BNC, a utility for retrieving decoding and
-// converting GNSS data streams from NTRIP broadcasters.
-//
-// Copyright (C) 2007
-// German Federal Agency for Cartography and Geodesy (BKG)
-// http://www.bkg.bund.de
-// Czech Technical University Prague, Department of Geodesy
-// http://www.fsv.cvut.cz
-//
-// Email: euref-ip@bkg.bund.de
-//
-// This program is free software; you can redistribute it and/or
-// modify it under the terms of the GNU General Public License
-// as published by the Free Software Foundation, version 2.
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-/* -------------------------------------------------------------------------
- * BKG NTRIP Client
- * -------------------------------------------------------------------------
- *
- * Class:      t_pppOptions
- *
- * Purpose:    Options for PPP client
- *
- * Author:     L. Mervart
- *
- * Created:    29-Jul-2014
- *
- * Changes:    
- *
- * -----------------------------------------------------------------------*/
-
-#include <newmatio.h>
-#include "pppOptions.h"
-
-using namespace BNC_PPP;
-using namespace std;
-
-// Constructor
-//////////////////////////////////////////////////////////////////////////////
-t_pppOptions::t_pppOptions() {
-  _xyzAprRover.ReSize(3); _xyzAprRover = 0.0;
-  _neuEccRover.ReSize(3); _neuEccRover = 0.0;
-  _aprSigCrd.ReSize(3);   _aprSigCrd   = 0.0;
-  _noiseCrd.ReSize(3);    _noiseCrd    = 0.0;
-}
-
-// Destructor
-//////////////////////////////////////////////////////////////////////////////
-t_pppOptions::~t_pppOptions() {
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-const std::vector<t_lc::type>& t_pppOptions::LCs(char system) const {
-  if      (system == 'R') {
-    return _LCsGLONASS;
-  }
-  else if (system == 'E') {
-    return _LCsGalileo;
-  }
-  else {
-    return _LCsGPS;
-  }
-}
-
-// 
-//////////////////////////////////////////////////////////////////////////////
-bool t_pppOptions::useOrbClkCorr() const {
-  if (_realTime) {
-    return !_corrMount.empty();
-  }
-  else {
-    return !_corrFile.empty();
-  }
-}
-
-// Processed satellite systems
-/////////////////////////////////////////////////////////////////////////////
-vector<char> t_pppOptions::systems() const {
-  vector<char> answ;
-  if (_LCsGPS.size()     > 0) answ.push_back('G');
-  if (_LCsGLONASS.size() > 0) answ.push_back('R');
-  if (_LCsGalileo.size() > 0) answ.push_back('E');
-  return answ;
-}
-
-// 
-/////////////////////////////////////////////////////////////////////////////
-vector<t_lc::type> t_pppOptions::ambLCs(char system) const {
-  
-  const vector<t_lc::type>& allLCs = LCs(system);
-  vector<t_lc::type>        phaseLCs;
-  for (unsigned ii = 0; ii < allLCs.size(); ii++) {
-    if (t_lc::includesPhase(allLCs[ii])) {
-      phaseLCs.push_back(allLCs[ii]);
-    }
-  }
-
-  vector<t_lc::type> answ;
-  if      (phaseLCs.size() == 1) {
-    answ.push_back(phaseLCs[0]);
-  }
-  else if (phaseLCs.size() >  1) {
-    answ.push_back(t_lc::l1);
-    answ.push_back(t_lc::l2);
-  }
-
-  return answ;
-}
Index: trunk/BNC/src/PPP/pppOptions.h
===================================================================
--- trunk/BNC/src/PPP/pppOptions.h	(revision 6046)
+++ 	(revision )
@@ -1,60 +1,0 @@
-#ifndef OPTIONS_H
-#define OPTIONS_H
-
-#include <string>
-#include <vector>
-#include <newmat.h>
-#include "pppInclude.h"
-
-namespace BNC_PPP {
-
-class t_pppOptions {
- public:
-  t_pppOptions();
-  ~t_pppOptions();
-
-  std::vector<char>              systems() const;
-  const std::vector<t_lc::type>& LCs(char system) const;
-  std::vector<t_lc::type>        ambLCs(char system) const;
-  bool useSystem(char system) const {return LCs(system).size() > 0;}
-  bool useOrbClkCorr() const;
-  bool estTrp() const {return _aprSigTrp > 0.0 || _noiseTrp > 0.0;}
-  bool xyzAprRoverSet() const {
-    return (_xyzAprRover[0] != 0.0 || _xyzAprRover[1] != 0.0 || _xyzAprRover[2] != 0.0);
-  }
-
-  bool                    _realTime;
-  std::string             _crdFile;
-  std::string             _corrMount;
-  std::string             _rinexObs;
-  std::string             _rinexNav;
-  std::string             _corrFile;
-  double                  _corrWaitTime;
-  std::string             _roverName;     
-  ColumnVector            _xyzAprRover;
-  ColumnVector            _neuEccRover;
-  std::string             _antNameRover;  
-  std::string             _antexFileName; 
-  double                  _sigmaC1;
-  double                  _sigmaL1;
-  double                  _maxResC1;
-  double                  _maxResL1;
-  bool                    _eleWgtCode;
-  bool                    _eleWgtPhase;
-  double                  _minEle;
-  int                     _minObs;
-  ColumnVector            _aprSigCrd;
-  ColumnVector            _noiseCrd;
-  double                  _noiseClk;
-  double                  _aprSigTrp;
-  double                  _noiseTrp;
-  double                  _aprSigAmb;
-  double                  _seedingTime;
-  std::vector<t_lc::type> _LCsGPS;
-  std::vector<t_lc::type> _LCsGLONASS;
-  std::vector<t_lc::type> _LCsGalileo;
-};
-
-}
-
-#endif